%define		fversion	%(echo %{version} |tr r -)
%define		modulename	polynom
Summary:	A collection of functions to implement a class for univariate polynomial manipulations
Summary(pl.UTF-8):	Kolekcja funkcji do implementacji klas do operacji na wielomianach jednowymiarowych
Name:		R-cran-%{modulename}
Version:	1.3r7
Release:	2
License:	GPL
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	51f74356b6a9a5b00df2f12d0c6e9d85
BuildRequires:	R >= 2.8.1
Requires(post,postun):	R >= 2.8.1
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collection of functions to implement a class for univariate
polynomial manipulations.

%description -l pl.UTF-8
Kolekcja funkcji do implementacji klas do operacji na wielomianach
jednowymiarowych.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/R/library/
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/{DESCRIPTION,README,ChangeLog}
%{_libdir}/R/library/%{modulename}
%changelog
* Tue Nov 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/R-cran-polynom.git;a=log;h=master

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 88bf982
- fixed install
- rel 2

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 9f75cae
- up to 1.3-7

* Sun Jan 04 2009 Jan Rękorajski <baggins@pld-linux.org> d7db780
- updated R reqs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0e04b1c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0f08c4e
- converted to UTF-8

* Thu Feb 08 2007 Jan Rękorajski <baggins@pld-linux.org> a80180b
- fixed post script for R 2.4.0
- R: R >= 2.4.0

* Tue Nov 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 537c6e7
- pl fix

* Tue Nov 16 2004 undefine <undefine@pld-linux.org> 1b1e4ed
- release 1

* Tue Nov 16 2004 undefine <undefine@pld-linux.org> 25aa622
- initital

